dashboard alert rules
Create dashboard alert rules evaluate
Requires scopes: runs:write
POST
/
api
/
dashboard-alert-rules
/
{id}
/
evaluate
Create dashboard alert rules evaluate
curl --request POST \
--url https://evalgate.com/api/dashboard-alert-rules/{id}/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluatedAt": "<string>",
"bypassCache": false
}
'import requests
url = "https://evalgate.com/api/dashboard-alert-rules/{id}/evaluate"
payload = {
"evaluatedAt": "<string>",
"bypassCache": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({evaluatedAt: '<string>', bypassCache: false})
};
fetch('https://evalgate.com/api/dashboard-alert-rules/{id}/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"previous": {
"alertRuleId": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"revision": 123,
"consecutiveBreaches": 123,
"consecutiveHealthy": 123,
"lastValue": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
},
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"lastTransitionAt": "2023-11-07T05:31:56Z",
"lastDedupeKey": "<string>"
},
"transition": {
"state": "resolved",
"transitioned": true,
"breached": false,
"consecutiveBreaches": 123,
"consecutiveHealthy": 123,
"reason": "<string>"
},
"event": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromState": "<string>",
"toState": "<string>",
"evidenceJson": {},
"alertRuleId": "<string>",
"thresholdJson": {},
"alertRuleVersionId": "<string>",
"metricCacheId": "<string>",
"dedupeKey": "<string>",
"observedValue": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
}
},
"metric": {
"cacheId": "<string>",
"cached": true,
"definitionId": "<string>",
"definitionHash": "<string>",
"window": {
"from": "<string>",
"to": "<string>",
"timezone": "<string>"
},
"result": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
},
"series": [
{
"key": "<string>",
"bucket": "<string>",
"group": {},
"result": {
"status": "failed",
"value": 123,
"knownCount": 123,
"unknownCount": 123,
"evidenceIds": [
"<string>"
],
"warnings": [
"<string>"
],
"errorCode": "<string>"
}
}
],
"evidence": {
"ids": [
"<string>"
],
"total": 123,
"truncated": true
}
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Create dashboard alert rules evaluate
